Last Comment Bug 779117 - Import XMPP fixes from Instantbird
: Import XMPP fixes from Instantbird
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 17.0
Assigned To: Florian Quèze [:florian] [:flo]
: instant-messaging
:
Mentors:
: 780172 (view as bug list)
Depends on:
Blocks: 776901
  Show dependency treegraph
 
Reported: 2012-07-31 07:06 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-08-08 05:08 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch (11.90 KB, patch)
2012-07-31 07:10 PDT, Florian Quèze [:florian] [:flo]
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] 2012-07-31 07:06:40 PDT
A few JS-XMPP bugs have been fixed recently for Instantbird, I think we want these fixes for Thunderbird 15:
Bio 1568 - JS-XMPP should handle message type="error" stanzas instead of displaying the messages again in the conversation as incoming, r=clokep.
Bio 1609 - <presence type="subscribe"/> stanzas are ignored when the JID is already in the roster, r=clokep.
Bio 1556 - Download the user's vCard before uploading an avatar, r=clokep.
Comment 1 Florian Quèze [:florian] [:flo] 2012-07-31 07:10:54 PDT
Created attachment 647519 [details] [diff] [review]
Patch

[Approval Request Comment]
On beta, we need to land https://hg.mozilla.org/comm-central/rev/17da70a358e2 before this attachment. This changeset had already been approved for Tb15 (aurora at the time) in bug 742793 but never landed on aurora, because of a known regression (fixed by a patch in this attachment).
Comment 3 vinxce 2012-08-03 16:36:14 PDT
*** Bug 780172 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.